package com.gyf.csams


interface UrlPath{
    fun build():String
}

enum class RegisterApi(val path: String):UrlPath{
    register("/register"),
    checkId("/register/checkId");

    override fun build(): String {
        return "/api/account${this.path}"
    }
}


class Api {
    companion object{
        fun buildUrl(urlPath: UrlPath):String{
            return "${BuildConfig.SERVER_ADDRESS}${urlPath.build()}"
        }
    }
}

