// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    //Jetpack Compose版本
    val compose_version by extra("1.0.0-beta04")
    //生命周期组件版本
    val lifecycle_version by extra("2.3.1")
    //APP应用名字
    val APP_NAME by extra("大学生社团管理系统")
    val SERVER_ADDRESS by extra("http://192.168.50.107:8080")
    repositories {
        maven("https://maven.aliyun.com/repository/google")
        maven("https://maven.aliyun.com/repository/public")
    }
    dependencies {
        classpath("com.android.tools.build:gradle:7.0.0-alpha14")
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:1.4.32")

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle.kts files
    }
}

tasks.register("clean", Delete::class) {
    delete(rootProject.buildDir)
}